# Uses of Class
org.apache.avro.SchemaBuilder.TypeBuilder

Packages that use SchemaBuilder.TypeBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.TypeBuilder in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.TypeBuilder
Modifier and Type
Method
Description
`static SchemaBuilder.TypeBuilder<Schema>`
SchemaBuilder.`builder()`
Create a builder for Avro schemas.
`static SchemaBuilder.TypeBuilder<Schema>`
SchemaBuilder.`builder(String namespace)`
Create a builder for Avro schemas with a default namespace.
`SchemaBuilder.TypeBuilder<R>`
SchemaBuilder.ArrayBuilder.`items()`
Return a type builder for configuring the array's nested items schema.
`SchemaBuilder.TypeBuilder<R>`
SchemaBuilder.MapBuilder.`values()`
Return a type builder for configuring the map's nested values schema.